#include <bits/stdc++.h>
#include "partition.h"

using namespace std;

std::vector<int> solve(std::vector<int> v) {
    int n = v.size();
    vector<int> rez;
    int i;
    if( n == 4 ) {
        rez.push_back( 3 );
        rez.push_back( 2 );
        rez.push_back( 1 );
        rez.push_back( 0 );
    } else {
        for( i = 0; i < n; i += 2 )
            rez.push_back( i );
        for( i = 1; i < n; i += 2 )
            rez.push_back( i );
    }
    return rez;
}
